FAQ
Hi,

Do you know if there is a working module that can be used to post to WordPress from a Perl script? I've seen that all the modules that contain WordPress are very old.

I need to install that module under a Perl built with Perlbrew.
I tried to install WordPress, WordPress::API, but they both depend on WordPress::XMLRPC which depends on SOAP::Lite which depends on XML::Parser which can't be installed because of the error "expat.h - no such file or directory".
I also tried to install XML::Parser::Expat but it gives the same error.

By curiosity I searched for a Python module, and I found python-wordpress-xmlrpc, I installed it very fast and easy, I found that it offers more features than the Perl module WordPress, I tested a sample script I found on the web, and it worked very well.

The problem is that... I don't know Python.
(yet :)

--Octavian

Search Discussions

  • Jbiskofski at Jul 19, 2013 at 5:08 pm
    If you can figure out the exact parameters that Wordpress normally posts
    you can replicate those same parameters + cookie session information and it
    should work.

    Another nice alternative would be to look at the Mechanize CPAN modules.
    Using Mechanize you can in perl code browse a web page, click links, fill
    out forms and submit.

    - Jose

    On Fri, Jul 19, 2013 at 6:15 AM, Octavian Rasnita wrote:

    Hi,

    Do you know if there is a working module that can be used to post to
    WordPress from a Perl script? I've seen that all the modules that contain
    WordPress are very old.

    I need to install that module under a Perl built with Perlbrew.
    I tried to install WordPress, WordPress::API, but they both depend on
    WordPress::XMLRPC which depends on SOAP::Lite which depends on XML::Parser
    which can't be installed because of the error "expat.h - no such file or
    directory".
    I also tried to install XML::Parser::Expat but it gives the same error.

    By curiosity I searched for a Python module, and I found
    python-wordpress-xmlrpc, I installed it very fast and easy, I found that it
    offers more features than the Perl module WordPress, I tested a sample
    script I found on the web, and it worked very well.

    The problem is that... I don't know Python.
    (yet :)

    --Octavian


    --
    To unsubscribe, e-mail: beginners-unsubscribe@perl.org
    For additional commands, e-mail: beginners-help@perl.org
    http://learn.perl.org/

  • Jbiskofski at Jul 19, 2013 at 5:09 pm
    Also, to fix the expat error you need to install libxml development
    libraries, depending on your distro this can be accomplished in different
    ways.

    On Fri, Jul 19, 2013 at 12:07 PM, jbiskofski wrote:

    If you can figure out the exact parameters that Wordpress normally posts
    you can replicate those same parameters + cookie session information and it
    should work.

    Another nice alternative would be to look at the Mechanize CPAN modules.
    Using Mechanize you can in perl code browse a web page, click links, fill
    out forms and submit.

    - Jose

    On Fri, Jul 19, 2013 at 6:15 AM, Octavian Rasnita wrote:

    Hi,

    Do you know if there is a working module that can be used to post to
    WordPress from a Perl script? I've seen that all the modules that contain
    WordPress are very old.

    I need to install that module under a Perl built with Perlbrew.
    I tried to install WordPress, WordPress::API, but they both depend on
    WordPress::XMLRPC which depends on SOAP::Lite which depends on XML::Parser
    which can't be installed because of the error "expat.h - no such file or
    directory".
    I also tried to install XML::Parser::Expat but it gives the same error.

    By curiosity I searched for a Python module, and I found
    python-wordpress-xmlrpc, I installed it very fast and easy, I found that it
    offers more features than the Perl module WordPress, I tested a sample
    script I found on the web, and it worked very well.

    The problem is that... I don't know Python.
    (yet :)

    --Octavian


    --
    To unsubscribe, e-mail: beginners-unsubscribe@perl.org
    For additional commands, e-mail: beginners-help@perl.org
    http://learn.perl.org/

  • Octavian Rasnita at Jul 19, 2013 at 8:43 pm
    From: jbiskofski
       Also, to fix the expat error you need to install libxml development libraries, depending on your distro this can be accomplished in different ways.

       Thanks. Finally I was able to install WordPress module and WordPress::API, but it was pretty hard.

       Octavian

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupbeginners @
categoriesperl
postedJul 19, '13 at 11:16a
activeJul 19, '13 at 8:43p
posts4
users2
websiteperl.org

2 users in discussion

Octavian Rasnita: 2 posts Jbiskofski: 2 posts

People

Translate

site design / logo © 2021 Grokbase